Update the user display options.
curl --request PATCH \
--url https://{apiBaseUrl}/v2/{sessionId}/session/display \
--header 'Content-Type: application/json' \
--data '
{
"culture": "fr-FR",
"currency": "EUR",
"countryCode": "FR"
}
'const url = 'https://{apiBaseUrl}/v2/{sessionId}/session/display';
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({culture: 'fr-FR', currency: 'EUR', countryCode: 'FR'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/session/display"
payload = {
"culture": "fr-FR",
"currency": "EUR",
"countryCode": "FR"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/session/display",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'culture' => 'fr-FR',
'currency' => 'EUR',
'countryCode' => 'FR'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/session/display");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"culture\": \"fr-FR\",\n \"currency\": \"EUR\",\n \"countryCode\": \"FR\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://{apiBaseUrl}/v2/{sessionId}/session/display")
.header("Content-Type", "application/json")
.body("{\n \"culture\": \"fr-FR\",\n \"currency\": \"EUR\",\n \"countryCode\": \"FR\"\n}")
.asString();{}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Session
Update the user display options
Update the user display options
PATCH
/
v2
/
{sessionId}
/
session
/
display
Update the user display options.
curl --request PATCH \
--url https://{apiBaseUrl}/v2/{sessionId}/session/display \
--header 'Content-Type: application/json' \
--data '
{
"culture": "fr-FR",
"currency": "EUR",
"countryCode": "FR"
}
'const url = 'https://{apiBaseUrl}/v2/{sessionId}/session/display';
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({culture: 'fr-FR', currency: 'EUR', countryCode: 'FR'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/session/display"
payload = {
"culture": "fr-FR",
"currency": "EUR",
"countryCode": "FR"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/session/display",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'culture' => 'fr-FR',
'currency' => 'EUR',
'countryCode' => 'FR'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/session/display");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"culture\": \"fr-FR\",\n \"currency\": \"EUR\",\n \"countryCode\": \"FR\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://{apiBaseUrl}/v2/{sessionId}/session/display")
.header("Content-Type", "application/json")
.body("{\n \"culture\": \"fr-FR\",\n \"currency\": \"EUR\",\n \"countryCode\": \"FR\"\n}")
.asString();{}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Headers
Path Parameters
Body
application/jsontext/json
The new display object, containing both the culture and the currency.
Response
OK
The response is of type object.
Was this page helpful?